%define modn   modsecurity
%define modv   1.9.5
%define mods   ModSecurity
%define httpv  %(rpm -q httpd-devel --qf '%{VERSION}')


Summary:       A web application firewall for the Apache HTTP server
Name:          mod_security
Version:       %{modv}
Release:       4%{?dist}%{?pext}
License:       GPL
Group:         System Environment/Daemons
Source0:       http://www.%{modn}.org/download/%{modn}-apache_%{modv}.tar.gz
Source1:       http://www.%{modn}.org/download/%{modn}-rules-current.tar.gz
Source2:       http://www.%{modn}.org/download/contrib/sgrep_pl
Source3:       http://www.%{modn}.org/download/contrib/Sgrep_Overview.pdf
Source4:       %{modn}.conf
URL:           http://www.%{modn}.org/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Ivan Ristic <ivanr@webkreator.com>
Provides:      httpd-mod(%{mods}) = %{modv}
Provides:      %{modn} = %{modv}
Requires:      httpd = %{httpv}
BuildRequires: httpd-devel libtool


%description
ModSecurity is an open source intrusion detection and prevention engine
for web applications. It operates embedded into the web server, acting
as a powerful umbrella - shielding web applications from both known and
unknown attacks.


%prep
%setup -q -n %{modn}-apache_%{modv} -a 1

# Prepare config
%{__cp} -f %{SOURCE4}           security.conf
%{__cat} httpd.conf.example* >> security.conf

# Prepare docs
%{__cp} -f %{SOURCE3} doc
%{__chmod} -x util/*


%build
%{_sbindir}/apxs -c apache2/%{name}.c


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libdir}/httpd/modules
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{modn}/contrib

%{__install} -m 0755 apache2/.libs/%{name}.so ${RPM_BUILD_ROOT}%{_libdir}/httpd/modules
%{__install} -m 0644 security.conf ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d

%{__install} -m 0755 %{SOURCE2}    ${RPM_BUILD_ROOT}%{_bindir}/sgrep

%{__cp}      -pd     util/*        ${RPM_BUILD_ROOT}%{_datadir}/%{modn}/contrib


%postun
# Restart after erase/upgrade
/sbin/service httpd condrestart >/dev/null 2>&1 || :


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGES LICENSE INSTALL README *.conf
%doc %dir doc
%config(noreplace) %{_sysconfdir}/httpd/conf.d/security.conf
%{_bindir}/sgrep
%{_libdir}/httpd/modules/%{name}.so
%{_datadir}/%{modn}


%changelog
* Sun Apr 13 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.9.5-4
- Rewritten for buildsystem

* Sat Jan 19 2008 peter.pramberger@member.fsf.org 1.9.5-3
- removed httpd release dependency

* Tue Dec 18 2007 peter.pramberger@member.fsf.org 1.9.5_2.0.52.38.ent.centos4-3
- new httpd version (2.0.52-38.ent.centos4)

* Sat Dec 15 2007 peter.pramberger@member.fsf.org 1.9.5_2.0.46.68.ent.centos-3
- new httpd version (2.0.46-68.ent.centos)

* Mon Jul 16 2007 peter.pramberger@member.fsf.org 1.9.5_2.0.52.32.3.ent.centos4-3
- new httpd version (2.0.52-32.3.ent.centos4)

* Thu Jun 28 2007 peter.pramberger@member.fsf.org 1.9.5_2.0.52.32.2.ent.centos4-3
- new httpd version (2.0.52-32.2.ent.centos4)
- new version (1.9.5)

* Mon May 21 2007 peter.pramberger@member.fsf.org 1.9.4_2.0.52.32.ent.centos4-3
- new httpd version (2.0.52-32.ent.centos4)

* Fri Feb 16 2007 peter.pramberger@member.fsf.org 1.9.4_2.0.52.28.ent.centos4-3
- some spec file cleanups (x86_64 support)

* Thu Aug 24 2006 peter.pramberger@member.fsf.org
- new httpd version (2.0.52-28.ent.centos4)

* Fri Aug 11 2006 peter.pramberger@member.fsf.org
- new httpd version (2.0.46-61.ent.centos3)

* Thu Jul 27 2006 peter.pramberger@member.fsf.org
- created
